You are not logged in.

#1 2004-11-04 09:33:26

kumo
Member
From: VARESE - Italy
Registered: 2004-04-02
Posts: 49
Website

Eterm: relocation error [SOLVED]

I just updated my system and eterm refuses to start anymore. It complains about a missing libast.so.1 so I linked it to libast.so but now it just says:

Eterm: relocation error: /usr/lib/libEterm-0.9.2.so: undefined symbol: conf_init_subsystem

Do I need to downgrade libast (and if so, how?) or can I have both versions or should I just recompile Eterm?

Cheers

(edit) The latest package fixed the problem

Offline

#2 2004-11-04 12:47:18

yowwww
Member
Registered: 2003-09-04
Posts: 112

Re: Eterm: relocation error [SOLVED]

I'm having the same issue since last night and no one seems to have a solution for it yet. Maintainers for these related packages from the recent upgrade out there... does this not happen on your box too?

Offline

#3 2004-11-04 16:59:32

MatrixP
Member
From: Germany
Registered: 2004-09-22
Posts: 21
Website

Re: Eterm: relocation error [SOLVED]

got the same problem..

any solution?

Offline

#4 2004-11-04 17:34:04

sarah31
Member
From: Middle of Canada
Registered: 2002-08-20
Posts: 2,975
Website

Re: Eterm: relocation error [SOLVED]

rebuild eterm against the new libast and file a bug.

thats my guess.


AKA uknowme

I am not your friend

Offline

#5 2004-11-04 20:25:53

MatrixP
Member
From: Germany
Registered: 2004-09-22
Posts: 21
Website

Re: Eterm: relocation error [SOLVED]

sarah31 wrote:

rebuild eterm against the new libast and file a bug.

thats my guess.

and how will i do this? :eyes:

rebuilding a package is not so easy for me...

MatrixP

Offline

#6 2004-11-04 21:41:14

xerxes2
Member
From: Malmoe, Sweden
Registered: 2004-04-23
Posts: 1,249
Website

Re: Eterm: relocation error [SOLVED]

MatrixP wrote:

and how will i do this? :eyes:

rebuilding a package is not so easy for me...

I've just tried to rebuild eterm and it's not possible due to libast problems but I can show the abs/srcpac procedure anyway,

1. first run abs

# abs

2. Install srcpac, which is a bash script written by Xentac

# pacman -S srcpac

3. Build and install eterm using srcpac

# srcpac -Sb eterm

there are also a few wikis that describes abs in detail,

good luck


arch + gentoo + initng + python = enlisy

Offline

#7 2004-11-04 23:28:10

yowwww
Member
Registered: 2003-09-04
Posts: 112

Re: Eterm: relocation error [SOLVED]

ok, sorry I forgot to mention that I already tried to usual workaround to recompile Eterm using abs.

so... (assuming you've installed cvsup and ran abs as root)

cd /var/abs/x11/eterm/

makepkg -fic

which does not work and you get this message:

ERROR:  You need LibAST 0.5 or higher to build Eterm.  If you already have it,
        you may have it installed in a strange place, or you may need to run
        /sbin/ldconfig.  If you don't have it, I can download it for you.
        Shall I retrieve and build LibAST now (y/n)?
y
./configure: line 9166: cvs: command not found
./configure: line 9167: cvs: command not found
./configure: line 9168: cd: libast: No such file or directory
ERROR:  Unable to auto-get libast, sorry.
make: *** No targets specified and no makefile found.  Stop.
==> ERROR: Build Failed.  Aborting...

I didnt try srcpac but I would think the same error would result.

and besides the point, isnt there a way to fix this using the new libast pkgbuild? I havent looked into it too much, I am too busy with work these days, but arent these packages tested before being uploaded? Eterm is a fairly common terminal for a lot of people I would think, maybe I'm wrong. Also, I have lots of Arch boxes to admin (at least 10) and the thought of running this workaround on all of them is a semi-nightmare.

Any other ideas? Has anyone contacted the package maintainer on this? If not, I would be happy to.

Offline

#8 2004-11-04 23:42:40

xerxes2
Member
From: Malmoe, Sweden
Registered: 2004-04-23
Posts: 1,249
Website

Re: Eterm: relocation error [SOLVED]

same problem here, can't find libast.
file a bugreport yowwww, and be happy!  big_smile


arch + gentoo + initng + python = enlisy

Offline

#9 2004-11-05 00:16:17

ghostwalker
Member
From: Tacoma, WA
Registered: 2004-07-28
Posts: 140

Re: Eterm: relocation error [SOLVED]

It is not the greatest solution but in /usr/lib there is libast.la so I just created a sym link for libast.so.1. It works I think that was what was missing in the initial config. ln -sf /usr/lib/libast.la /usr/lib/libast.0.1 was the fix for me.


P4 2.8Ghz @ 2.8Ghz SL6WT
Zalman CNPS7000-Cu
865PE Neo-2 LS BIOs 2.4
512mb Mushkin Level II
160GB Maxtor HD
Geforce 4 440MX
Antec 3700 1 exhaust and 1 intake fans
Linux 2.6.x
Linux user 314187
ArchLinux

Offline

#10 2004-11-05 01:31:58

yowwww
Member
Registered: 2003-09-04
Posts: 112

Re: Eterm: relocation error [SOLVED]

I checked the latest sync and there was an update for eterm. Things now work again. Nice fix. Thanks. Gotta have my Eterm smile

Offline

#11 2004-11-05 07:31:31

kumo
Member
From: VARESE - Italy
Registered: 2004-04-02
Posts: 49
Website

Re: Eterm: relocation error [SOLVED]

For now I have just downgraded the package (cheers MrGreen). I will make a note though of how to use srcpac since I usually just build the source package that I have downloaded.

Offline

#12 2004-11-05 15:38:56

sarah31
Member
From: Middle of Canada
Registered: 2002-08-20
Posts: 2,975
Website

Re: Eterm: relocation error [SOLVED]

there was a new released of eterm today which should work with the new libast. please try that. dinking around with down grades can be risky.


AKA uknowme

I am not your friend

Offline

#13 2004-11-05 17:00:26

rasat
Forum Fellow
From: Finland, working in Romania
Registered: 2002-12-27
Posts: 2,176
Website

Re: Eterm: relocation error [SOLVED]

sarah31 wrote:

....dinking around with down grades can be risky.

No more risky than a broken upgrade wink. I have removed my down grade post.
The new Eterm is working.

Offline

#14 2004-11-06 20:43:37

kumo
Member
From: VARESE - Italy
Registered: 2004-04-02
Posts: 49
Website

Re: Eterm: relocation error [SOLVED]

Sorry I wasn't clear -- I downgraded but when the new version of Eterm came out I upgraded to that. I edited my first message to say that I had upgraded to Eterm and it had worked but I forgot to write a concluding message at the end as well!

Offline

Board footer

Powered by FluxBB